package main

import (
	"fmt"
)

func main() {
	// section: main
	simple := 'a'
	complex := '😻'

	fmt.Printf("char\tint\tlen\tbin\n")
	fmt.Printf("%[1]s\t%[2]d\t%[3]d\t%[2]b\n", string(simple), simple, len(string(simple)))
	fmt.Printf("%[1]s\t%[2]d\t%[3]d\t%[2]b\n", string(complex), complex, len(string(complex))) // section: main
}
